package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(activity_user_mapper_adjust_log):
 */
public class ActivityUserMapperAdjustLog extends BaseEntity {

	/**  1加资格0减资格*/
	private Integer type;

	/**  */
	private Integer id;
	
	/**  */
	private Integer operatorId;
	
	/**  */
	private String operatorName;
	
	/**  */
	private Integer activityId;
	
	/**  */
	private Integer courseNum;
	
	/**  */
	private Integer giveCourseNum;
	
	/**  */
	private String memo;
	
	/**  */
	private Integer userId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private Integer activityUserMapperId;

	public Integer getActivityUserMapperId() {
		return activityUserMapperId;
	}

	public void setActivityUserMapperId(Integer activityUserMapperId) {
		this.activityUserMapperId = activityUserMapperId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setOperatorName(String operatorName){
		this.operatorName = operatorName;
	}
	
	public String getOperatorName(){
		return this.operatorName;
	}
			
	public void setActivityId(Integer activityId){
		this.activityId = activityId;
	}
	
	public Integer getActivityId(){
		return this.activityId;
	}
			
	public void setCourseNum(Integer courseNum){
		this.courseNum = courseNum;
	}
	
	public Integer getCourseNum(){
		return this.courseNum;
	}
			
	public void setGiveCourseNum(Integer giveCourseNum){
		this.giveCourseNum = giveCourseNum;
	}
	
	public Integer getGiveCourseNum(){
		return this.giveCourseNum;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
